Bug 523952 - multilib conflicts in gnome-utils
Summary: multilib conflicts in gnome-utils
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gnome-utils
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Ray Strode [halfline]
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-17 11:32 UTC by Daniel Mach
Modified: 2010-11-11 14:39 UTC (History)
4 users (show)

Fixed In Version: gnome-utils-2.27.91-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-11 14:39:46 UTC


Attachments (Terms of Use)

Description Daniel Mach 2009-09-17 11:32:04 UTC
gnome-utils has multilib-conflicts in
/usr/share/locale/*/LC_MESSAGES/*.mo

the package nvr is:
gnome-utils-2.27.2-5.el6

Here are the options how to fix it:
 1) create a noarch subpackage for locales
 2) split /usr/lib/* to a -libs subpackage and make it multilib instead of gnome-utils

I'd prefer 2).
Can you check it will work this way?

Comment 1 RHEL Product and Program Management 2009-09-17 11:58:47 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Ray Strode [halfline] 2009-09-17 18:43:21 UTC
Doing -libs is fine with me--it's what we do for tons of other things after all.  

I guess this is an issue now because of:

* Tue Apr 18 2006 Matthias Clasen <mclasen@redhat.com> 2.14.0-6
- Incorporate package review feedback
- Split off a -devel subpackage

Comment 3 Matthias Clasen 2010-01-05 17:43:44 UTC
THis has happened a while ago:

* Thu Sep 17 2009 Ray Strode <rstrode@redhat.com> - 1:2.27.91-2
- Split off -libs package

Comment 7 releng-rhel@redhat.com 2010-11-11 14:39:46 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.